diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 55138c9..7b8ea35 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -538,7 +538,7 @@ AffineSpace(dim,K):Exports == Implementation where
 
     definingField(pt)==
       K has PseudoAlgebraicClosureOfPerfectFieldCategory => _
-        maxTower(pt pretend Rep)
+        maxTower(pt@Rep)
       1$K
     
     degree(pt)==
@@ -546,16 +546,16 @@ AffineSpace(dim,K):Exports == Implementation where
         extDegree definingField pt
       1
       
-    coerce(pt:%):List(K) == pt pretend Rep   
+    coerce(pt:%):List(K) == pt@Rep   
       
     affinePoint(pt:LIST(K))==
         pt :: %
 
     list(ptt)==
-      ptt pretend Rep
+      ptt@Rep
 
     pointValue(ptt)==
-      ptt pretend Rep
+      ptt@Rep
 
     conjugate(p,e)==
       lp:Rep:=p
diff --git a/buglist b/buglist
index 0d3973a..0d25d92 100644
--- a/buglist
+++ b/buglist
@@ -9,8 +9,19 @@ warnings 20567:
 macros 30234:
 typos 40363:
 dup 50006:
+nonextend 60077:
+
+=========================================================================
 nonextend 60076:
 
+>compiling AFFSP.spad to AFFSP.nrlib
+
+--------------non extending category----------------------
+.. AffineSpace(#1,#2) of cat 
+(|AffineSpaceCategory| |#2|)   has no 
+(|ListAggregate| |#2|)    finalizing nrlib AFFSP 
+
+
 =========================================================================
 todo 329:
 
@@ -5657,14 +5668,6 @@ macros 30231:
    processing macro definition Qnew ==> elt(Lisp,MAKE-CDOUBLE-VECTOR) 
 
 =========================================================================
-macros 30230:
-
-      AFFSP;affinePoint;L$;6 is replaced by pt 
-      AFFSP;coerce;$L;5 is replaced by pt 
-      AFFSP;list;$L;7 is replaced by ptt 
-      AFFSP;pointValue;$L;8 is replaced by ptt 
-
-=========================================================================
 macros 30229:
 
       AGG-;eq?;2SB;1 is replaced by EQ 
@@ -8325,11 +8328,7 @@ warnings 20495:
 >compiling AFFSP.spad to AFFSP.nrlib
  
    Warnings: 
-      [1] definingField: pretendRep -- should replace by @
-      [2] coerce: pretendRep -- should replace by @
-      [3] list: pretendRep -- should replace by @
-      [4] pointValue: pretendRep -- should replace by @
-      [5] removeConjugate:  conjrem has no value
+      [1] removeConjugate:  conjrem has no value
 
 =========================================================================
 warnings 20494:
@@ -40593,3 +40592,23 @@ src/interp/newfort.lisp.pamphlet:           ((BOOT-EQUAL |op| "cos") "DCOS")
 src/interp/newfort.lisp.pamphlet:           ((BOOT-EQUAL |op| "cosh") "DCOSH")
 
 
+fixed 20130313.03.tpd.patch
+=========================================================================
+macros 30230: 
+
+      AFFSP;affinePoint;L$;6 is replaced by pt 
+      AFFSP;coerce;$L;5 is replaced by pt 
+      AFFSP;list;$L;7 is replaced by ptt 
+      AFFSP;pointValue;$L;8 is replaced by ptt 
+
+warnings 20495:
+
+   Warnings: 
+      [1] definingField: pretendRep -- should replace by @
+      [2] coerce: pretendRep -- should replace by @
+      [3] list: pretendRep -- should replace by @
+      [4] pointValue: pretendRep -- should replace by @
+
+ 
+
+
diff --git a/changelog b/changelog
index a2fffa4..e065082 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130313 tpd src/axiom-website/patches.html 20130313.03.tpd.patch
+20130313 tpd books/bookvol10.3 fix 30230, 20495; introduce 60076
+20130313 tpd buglist fix 30230, 20495; introduce 60076
 20130313 tpd src/axiom-website/patches.html 20130313.02.tpd.patch
 20130313 tpd books/bookvol5 fix references
 20130313 tpd src/axiom-website/patches.html 20130313.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 60eb4b7..5f32560 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4019,5 +4019,7 @@ books/bookvol4 clean up latex, document makeHelpFiles
 buglist complete console review and classify
 <a href="patches/20130313.02.tpd.patch">20130313.02.tpd.patch</a>
 books/bookvol5 fix references
+<a href="patches/20130313.03.tpd.patch">20130313.03.tpd.patch</a>
+books/bookvol10.3 fix 30230, 20495; introduce 60076
  </body>
 </html>
